{% extends 'base.html.twig' %}
{% import '/macros/commentaires.html.twig' as affichageCommentaires %}

{% block title %} {{ recette.name }} {% endblock %}

{% block body %}
        {# Titre recette #}
        <h2 class="text-center my-4">{{ recette.name }}</h2>
        <section class="container">
            {# Image #}
            <aside class="w-100 text-center">
                <img class="img-fluid rounded-top img" src="{{ vich_uploader_asset(recette, 'imageFile') | imagine_filter('medium')}}">
            </aside>

            
            <div class="my-3 d-flex flex-column align-items-center text-center">
                {# Description #}
                    <p class="">{{ recette.description }}</p>
                {# Avis de Doudou #}
                {% if recette.advice %}
                    <div class="card p-2 my-2" style="border:6px double #85c17e;">
                        <h4 class="text-secondary text-left"><u>Le petit plus de Gaëlle :</u></h4>
                        
                        <div class="card-body text-center p-1">
                            <q>{{ recette.advice }}</q>
                        </div>
                    </div>
                {% endif %}
            </div>

            <section class="row mt-5 mx-0">
                {# Ingrédients #}
                <article class="col-lg-3 col-md-4 col-sm-5 rounded p-0"  style="border:6px double #85c17e;">
                    <div class="bg-primary p-2 pt-3 h-100">
                        <h5 class="mb-0 align-self-start">Ingrédients :</h5>
                        <small>(Pour {{ recette.person }} personnes)</small>
                        <ul class="list-unstyled mt-4">
                            {% for ingredient in recette.ingredients %}
                                <li>-{{ ingredient.name }}</li>
                            {% endfor %}
                        </ul>
                    </div>
                </article>
                
                {# Etapes #}
                <div class="col-lg-9 col-md-8 col-sm-7">
                    <h4 class="mb-2">Préparation :</h4>
                    <ul class="list-unstyled mb-0 mt-1">
                        {% set i = 1 %}
                        {% for etape in recette.etapes %} 
                            <li class="d-flex align-items-center mb-4">
                                <div class="rounded-circle bg-secondary mr-2 d-flex justify-content-center align-items-center" style="min-width:30px; min-height:30px;">
                                    <p class="text-white mb-0">{{ i }} {% set i = i + 1 %}</h5>
                                </div>
                                <p class="mb-0">{{ etape.description }}</p>
                            </li>
                        {% endfor %}
                    <ul>
                </div> 
            </section>
            
            <section class="my-4">
                {# TAGS #}
                <ul class="list-unstyled list-inline">
                    {% for hashtag in recette.hashtags %} 
                        <li class="list-inline-item">
                            <a href="{{ path('hashtag_show', {'id': hashtag.id}) }}" class="btn btn-secondary text-white p-1">{{ hashtag.title }}</a>
                        </li>
                    {% endfor %}
                </ul>

                <div class="text-center my-4">
                    <h4>D'autres recettes que vous pourriez aimer</h4>
                    {# Mettre ici 3-4 recettes en lien avec celle ci-dessus #}
                </div>

                {# COMMENTAIRES #}
                {{ affichageCommentaires.ListComments(comments, user) }}

                {# Formulaire COMMENTAIRES #}
                {% if not app.user %}
                    <div class="container text-center">
                        <p class="h4">Afin d'écrire un commentaire, veuillez <a href="{{ path('security_login')}}">vous connecter.</a></p>
                    </div>
                {% else %}
                    <div class="mt-5">
                        {{ include('comment/_form.html.twig', {button: 'Envoyer'}) }}
                    </div>
                {% endif %}
            </section>
        </section>
{% endblock %}